libmozjs-dev provides xulrunner-js.pc which is incompatible with Debian's libmozjs-dev which provides mozilla-js.pc

Bug #273956 reported by Michel Briand on 2008-09-24
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xulrunner-1.9 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xulrunner-1.9

I'm trying to package a software that needs libmozjs.

On Debian I get my package to build with

pkg-config [...] mozilla-js

But on Ubuntu the provided pkg config file (xulrunner-js.pc) is different.
Which renders the build system incompatible.

libmozjs-dev on Ubuntu should rename the .pc file the same as Debian : mozilla-js.pc.

I need the pkg's mozilla-js, mozilla-plugin, and libxul-unstable in order to build icedtea. However, Ubuntu only provides mozilla-js-1.9.pc, mozilla-plugin-1.9.pc, libxul-1.9.pc.

jaromil (jaromil) wrote :

not only the naming scheme is a problem.

apps will fail to link libmozjs since the library is compiled without -DJS_THREADSAFE
and to the contrary the .pc file xulrunner-js adopts -DJS_THREADSAFE in the CFLAGS
this will generate such an error:

undefined reference to `js_GetSlotThreadSafe(JSContext*, JSObject*, unsigned int)'

since that function is #ifdef enclosed by the aforementioned flag at compile time.

Phillip Susi (psusi) wrote :

This package has been removed from Ubuntu. Closing all related bugs.

Changed in xulrunner-1.9 (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers